﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGridBindingHyerarchicalTables
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            DataTable dt1 = new DataTable();
            dt1.Columns.Add("Id", typeof(int));
            dt1.Columns.Add("Value", typeof(string));
            dt1.Columns.Add("Description", typeof(string));


            DataTable dt2 = new DataTable();
            dt2.Columns.Add("Id", typeof(int));
            dt2.Columns.Add("ParentId", typeof(int));
            dt2.Columns.Add("Items", typeof(string));


            DataTable dt3 = new DataTable();
            dt3.Columns.Add("Id", typeof(int));
            dt3.Columns.Add("ParentId", typeof(int));
            dt3.Columns.Add("Rows", typeof(string));


            int h = 0;
            for (int i = 0; i < 10; i++)
            {
                dt1.Rows.Add(i, "Value " + i.ToString(), "Description " + i.ToString());
                for (int j = 0; j < 10; j++)
                {
                    dt2.Rows.Add(j, i, "Item " + j.ToString());

                    for (int k = 0; k < 10; k++)
                    {

                        dt3.Rows.Add(k, h, "Row " + k.ToString());
                    }
                    h++;
                }
            }


            DataSet ds = new DataSet();
            ds.Tables.Add(dt1);
            ds.Tables.Add(dt2);
            ds.Tables.Add(dt3);

            DataRelation dr1 = new DataRelation("DR1", dt1.Columns["Id"], dt2.Columns["ParentId"], false);
            DataRelation dr2 = new DataRelation("DR2", dt2.Columns["Id"], dt3.Columns["ParentId"], false);

            ds.Relations.Add(dr1);
            ds.Relations.Add(dr2);

            ultraGrid1.DataSource = ds;
        }


    }
}
